This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 471131 - gnome-mouse-properties dialog doesn't fit on XO screen
gnome-mouse-properties dialog doesn't fit on XO screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-11 16:58 EST by Jack Spaar
Modified: 2009-12-18 01:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:49:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of gnome-mouse-properties within display on XO (200.09 KB, image/png)
2008-11-11 16:58 EST, Jack Spaar
no flags Details

  None (edit)
Description Jack Spaar 2008-11-11 16:58:20 EST
Created attachment 323264 [details]
Screenshot of gnome-mouse-properties within display on XO

Description of problem:
The dialog for gnome-mouse-properties is too tall to fit on the XO screen with typical font/resolution settings.  This is problematic because there is no way to scroll to the Help and Close buttons.  Advanced users can use alt-leftclick to drag the window upwards, but this is not easily discoverable.

Version-Release number of selected component (if applicable):
control-center-2.24.0.1-8.fc10.i386

How reproducible:
Always.

Steps to Reproduce:
1. Invoke gnome-mouse-properties, either from command line or by system->preferences->hardware->mouse
2. 
3.
  
Actual results:
Mouse properties dialog is too tall for the display.  Accessing the Close and Help buttons is difficult.

Expected results:
All parts of the dialog should be easily accessible using layout modified to fit the display size, scroll bars, or other discoverable UI elements.

Additional info:
This will probably bite other small-screen "netbooks".
Screenshot attached.
Comment 1 Darren Fulton 2008-11-17 15:43:44 EST
I've experienced similar problems with certain windows being too large to fit on small screens.  Is it possible that this can be approached two ways:

1.  Is there some kind of "zoom out" function that has been invented that will shrink the whole screen and temporarily to make it hold more information so that we can click on stuff that is hidden from view and then revert back to the proper resolution after we are done with that window?  That would be a good work around for programs like the print dialogue in acroread, which is too big, doesn't have a scroll bar, and the important stuff is at the bottom where you cannot see it.  I have been using the force and the tab key to get stuff to print when I have to use acrobat reader on a device with a very small screen.

2.  Should we start reporting each window that is too large as a separate bug or should we start a "Window Too Big For Small Device" bug where everyone can chime in with info about their too big window problem (or something like that)?
Comment 2 Bug Zapper 2008-11-26 00:13:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Darren Fulton 2009-01-21 08:39:40 EST
This article will be slightly interesting to anyone that has had difficulty using common programs on devices with small screens:

http://www.computerworld.com.au/article/273605/move_over_gnome_ubuntu_mobile_looks_qt_other_desktop_environments

From the article:
     Mandala said, adding one of the biggest challenges is reminding 
     developers to write applications for 800 by 600 screen resolutions
     found in smaller devices. 'The standard [resolution] for GNOME 
     [apps] is 800 by 600, but not all apps are. 

I think 800x600 might be too big and that applications ideally would function (not necessarily comfortably) at 800x480 or so.
Comment 4 Bug Zapper 2009-11-18 03:50:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:49:09 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.